Package jxl.format

# Class PaperSize

java.lang.Object
jxl.format.PaperSize

public final class PaperSize extends Object
Enumeration type which contains the available excel paper sizes and their codes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PaperSize`
`A2`
A2 420mm × 594mm
`static final PaperSize`
`A3`
A3 297mm x 420mm
`static final PaperSize`
`A3_EXTRA`
A3 Extra 322mm × 445mm
`static final PaperSize`
`A3_EXTRA_TRANSVERSE`
A3 Extra Transverse 322mm × 445mm
`static final PaperSize`
`A3_ROTATED`
A3 Rotated 420mm × 297mm
`static final PaperSize`
`A3_TRANSVERSE`
A3 Transverse 297mm × 420mm
`static final PaperSize`
`A4`
A4 210mm x 297mm
`static final PaperSize`
`A4_EXTRA`
A4 Extra 235mm × 322mm
`static final PaperSize`
`A4_PLUS`
A4 Plus 210mm × 330mm
`static final PaperSize`
`A4_ROTATED`
A4 Rotated 297mm × 210mm
`static final PaperSize`
`A4_SMALL`
A4 Small 210mm x 297 mm
`static final PaperSize`
`A4_TRANSVERSE`
A4 Transverse 210mm × 297mm
`static final PaperSize`
`A5`
A5 148mm x 210mm
`static final PaperSize`
`A5_EXTRA`
A5 Extra 174mm × 235mm
`static final PaperSize`
`A5_ROTATED`
A5 Rotated 210mm × 148mm
`static final PaperSize`
`A5_TRANSVERSE`
A5 Transverse 148mm × 210mm
`static final PaperSize`
`A6`
A6 105mm × 148mm
`static final PaperSize`
`A6_ROTATED`
A6 Rotated 148mm × 105mm
`static final PaperSize`
`B4`
B4 (JIS) 257mm x 364mm
`static final PaperSize`
`B4_ISO`
B4 (ISO) 250mm × 353mm
`static final PaperSize`
`B4_ISO_2`
B4 (ISO) 250mm × 353mm
`static final PaperSize`
`B4_ROTATED`
B4 (JIS) Rotated 364mm × 257mm
`static final PaperSize`
`B5`
B5 (JIS) 182mm x 257mm
`static final PaperSize`
`B5_EXTRA`
B5 (ISO) Extra 201mm × 276mm
`static final PaperSize`
`B5_ISO`
B5 (ISO) 176mm × 250mm
`static final PaperSize`
`B5_ROTATED`
B5 (JIS) Rotated 257mm × 182mm
`static final PaperSize`
`B5_TRANSVERSE`
B5 (JIS) Transverse 182mm × 257mm
`static final PaperSize`
`B6`
B6 (JIS) 128mm × 182mm
`static final PaperSize`
`B6_ISO`
B6 (ISO) 125mm × 176mm
`static final PaperSize`
`B6_ROTATED`
B6 (JIS) Rotated 182mm × 128mm
`static final PaperSize`
`C`
C 17" x 22"
`static final PaperSize`
`D`
D 22" x 34"
`static final PaperSize`
`DOUBLE_JAPANESE_POSTCARD`
Dbl.
`static final PaperSize`
`DOUBLE_JAPANESE_POSTCARD_ROTATED`
Dbl.
`static final PaperSize`
`E`
E 34" x 44"
`static final PaperSize`
`ENVELOPE_10`
Envelope #10 4 1/8" x 9.5"
`static final PaperSize`
`ENVELOPE_11`
Envelope #11 4.5" x 10 3/8"
`static final PaperSize`
`ENVELOPE_12`
Envelope #12 4.75" x 11"
`static final PaperSize`
`ENVELOPE_14`
Envelope #14 5" x 11.5"
`static final PaperSize`
`ENVELOPE_6_75`
6.75 Envelope 3 5/8" × 6.5"
`static final PaperSize`
`ENVELOPE_9`
Envelope #9 3 7/8" x 8 7/8"
`static final PaperSize`
`ENVELOPE_C3`
Envelope C3 324mm × 458mm
`static final PaperSize`
`ENVELOPE_C4`
Envelope C4 229mm × 324mm
`static final PaperSize`
`ENVELOPE_C5`
Envelope C5 162mm × 229mm
`static final PaperSize`
`ENVELOPE_C6`
Envelope C6 114mm × 162mm
`static final PaperSize`
`ENVELOPE_C6_C5`
Envelope C6/C5 114mm × 229mm
`static final PaperSize`
`ENVELOPE_DL`
Envelope DL 110mm × 220mm
`static final PaperSize`
`ENVELOPE_INVITE`
Envelope Invite 220mm × 220mm
`static final PaperSize`
`ENVELOPE_ITALY`
Envelope Italy 110mm × 230mm
`static final PaperSize`
`ENVELOPE_MONARCH`
Envelope Monarch 3 7/8" × 7.5"
`static final PaperSize`
`EXECUTIVE`
Executive 7.25" x 10.5"
`static final PaperSize`
`FOLIO`
Folio 8.5" x 13"
`static final PaperSize`
`GERMAN_FANFOLD`
German Std.
`static final PaperSize`
`GERMAN_LEGAL_FANFOLD`
German Legal Fanfold 8.5" × 13"
`static final PaperSize`
`JAPANESE_POSTCARD`
Japanese Postcard 100mm × 148mm
`static final PaperSize`
`JAPANESE_POSTCARD_ROTATED`
Japanese Postcard Rot.
`static final PaperSize`
`LEDGER`
Leger 17" x 11"
`static final PaperSize`
`LEGAL`
US Legal 8.5" x 14"
`static final PaperSize`
`LEGAL_EXTRA`
Legal Extra 9.5" × 15"
`static final PaperSize`
`LETTER`
US Letter 8.5 x 11"
`static final PaperSize`
`LETTER_EXTRA`
Letter Extra 9.5" × 12"
`static final PaperSize`
`LETTER_EXTRA_TRANSVERSE`
Letter Extra Transv.
`static final PaperSize`
`LETTER_PLUS`
Letter Plus 8.5" x 12 11/16"
`static final PaperSize`
`LETTER_ROTATED`
Letter Rotated 11" × 8.5"
`static final PaperSize`
`LETTER_SMALL`
Letter small 8.5" × 11"
`static final PaperSize`
`LETTER_TRANSVERSE`
Letter Transverse 8.5" × 11"
`static final PaperSize`
`NOTE`
NOTE 8.5" x 11"
`static final PaperSize`
`QUARTO`
Quarto 215mm x 275mm
`static final PaperSize`
`SIZE_10x11`
10×11 10" × 11"
`static final PaperSize`
`SIZE_10x14`
10" x 14"
`static final PaperSize`
`SIZE_10x17`
11" x 17"
`static final PaperSize`
`SIZE_15x11`
15×11 15" × 11"
`static final PaperSize`
`SIZE_9x11`
9×11 9" × 11"
`static final PaperSize`
`STATEMENT`
Statement 5.5" x 8.5"
`static final PaperSize`
`SUPER_A_A4`
Super A/A4 227mm × 356mm
`static final PaperSize`
`SUPER_B_A3`
Super B/A3 305mm × 487mm
`static final PaperSize`
`TABLOID`
Tabloid 11" x 17"
`static final PaperSize`
`TABLOID_EXTRA`
Tabloid Extra 11 11/16" × 18"
`static final PaperSize`
`UNDEFINED`
US Letter 8.5 x 11"
`static final PaperSize`
`US_FANFOLD`
US Standard Fanfold 14 7/8" × 11"

## Method Summary

Modifier and Type
Method
Description
`static PaperSize`
`getPaperSize(int val)`
Gets the paper size for a specific value
`int`
`getValue()`
Accessor for the internal binary value association with this paper size

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNDEFINED

public static final PaperSize UNDEFINED
US Letter 8.5 x 11"

### LETTER

public static final PaperSize LETTER
US Letter 8.5 x 11"

### LETTER_SMALL

public static final PaperSize LETTER_SMALL
Letter small 8.5" × 11"

### TABLOID

public static final PaperSize TABLOID
Tabloid 11" x 17"

### LEDGER

public static final PaperSize LEDGER
Leger 17" x 11"

### LEGAL

public static final PaperSize LEGAL
US Legal 8.5" x 14"

### STATEMENT

public static final PaperSize STATEMENT
Statement 5.5" x 8.5"

### EXECUTIVE

public static final PaperSize EXECUTIVE
Executive 7.25" x 10.5"

### A3

public static final PaperSize A3
A3 297mm x 420mm

### A4

public static final PaperSize A4
A4 210mm x 297mm

### A4_SMALL

public static final PaperSize A4_SMALL
A4 Small 210mm x 297 mm

### A5

public static final PaperSize A5
A5 148mm x 210mm

### B4

public static final PaperSize B4
B4 (JIS) 257mm x 364mm

### B5

public static final PaperSize B5
B5 (JIS) 182mm x 257mm

### FOLIO

public static final PaperSize FOLIO
Folio 8.5" x 13"

### QUARTO

public static final PaperSize QUARTO
Quarto 215mm x 275mm

### SIZE_10x14

public static final PaperSize SIZE_10x14
10" x 14"

### SIZE_10x17

public static final PaperSize SIZE_10x17
11" x 17"

### NOTE

public static final PaperSize NOTE
NOTE 8.5" x 11"

### ENVELOPE_9

public static final PaperSize ENVELOPE_9
Envelope #9 3 7/8" x 8 7/8"

### ENVELOPE_10

public static final PaperSize ENVELOPE_10
Envelope #10 4 1/8" x 9.5"

### ENVELOPE_11

public static final PaperSize ENVELOPE_11
Envelope #11 4.5" x 10 3/8"

### ENVELOPE_12

public static final PaperSize ENVELOPE_12
Envelope #12 4.75" x 11"

### ENVELOPE_14

public static final PaperSize ENVELOPE_14
Envelope #14 5" x 11.5"

### C

public static final PaperSize C
C 17" x 22"

### D

public static final PaperSize D
D 22" x 34"

### E

public static final PaperSize E
E 34" x 44"

### ENVELOPE_DL

public static final PaperSize ENVELOPE_DL
Envelope DL 110mm × 220mm

### ENVELOPE_C5

public static final PaperSize ENVELOPE_C5
Envelope C5 162mm × 229mm

### ENVELOPE_C3

public static final PaperSize ENVELOPE_C3
Envelope C3 324mm × 458mm

### ENVELOPE_C4

public static final PaperSize ENVELOPE_C4
Envelope C4 229mm × 324mm

### ENVELOPE_C6

public static final PaperSize ENVELOPE_C6
Envelope C6 114mm × 162mm

### ENVELOPE_C6_C5

public static final PaperSize ENVELOPE_C6_C5
Envelope C6/C5 114mm × 229mm

### B4_ISO

public static final PaperSize B4_ISO
B4 (ISO) 250mm × 353mm

### B5_ISO

public static final PaperSize B5_ISO
B5 (ISO) 176mm × 250mm

### B6_ISO

public static final PaperSize B6_ISO
B6 (ISO) 125mm × 176mm

### ENVELOPE_ITALY

public static final PaperSize ENVELOPE_ITALY
Envelope Italy 110mm × 230mm

### ENVELOPE_MONARCH

public static final PaperSize ENVELOPE_MONARCH
Envelope Monarch 3 7/8" × 7.5"

### ENVELOPE_6_75

public static final PaperSize ENVELOPE_6_75
6.75 Envelope 3 5/8" × 6.5"

### US_FANFOLD

public static final PaperSize US_FANFOLD
US Standard Fanfold 14 7/8" × 11"

### GERMAN_FANFOLD

public static final PaperSize GERMAN_FANFOLD
German Std. Fanfold 8.5" × 12"

### GERMAN_LEGAL_FANFOLD

public static final PaperSize GERMAN_LEGAL_FANFOLD
German Legal Fanfold 8.5" × 13"

### B4_ISO_2

public static final PaperSize B4_ISO_2
B4 (ISO) 250mm × 353mm

### JAPANESE_POSTCARD

public static final PaperSize JAPANESE_POSTCARD
Japanese Postcard 100mm × 148mm

### SIZE_9x11

public static final PaperSize SIZE_9x11
9×11 9" × 11"

### SIZE_10x11

public static final PaperSize SIZE_10x11
10×11 10" × 11"

### SIZE_15x11

public static final PaperSize SIZE_15x11
15×11 15" × 11"

### ENVELOPE_INVITE

public static final PaperSize ENVELOPE_INVITE
Envelope Invite 220mm × 220mm

### LETTER_EXTRA

public static final PaperSize LETTER_EXTRA
Letter Extra 9.5" × 12"

### LEGAL_EXTRA

public static final PaperSize LEGAL_EXTRA
Legal Extra 9.5" × 15"

### TABLOID_EXTRA

public static final PaperSize TABLOID_EXTRA
Tabloid Extra 11 11/16" × 18"

### A4_EXTRA

public static final PaperSize A4_EXTRA
A4 Extra 235mm × 322mm

### LETTER_TRANSVERSE

public static final PaperSize LETTER_TRANSVERSE
Letter Transverse 8.5" × 11"

### A4_TRANSVERSE

public static final PaperSize A4_TRANSVERSE
A4 Transverse 210mm × 297mm

### LETTER_EXTRA_TRANSVERSE

public static final PaperSize LETTER_EXTRA_TRANSVERSE
Letter Extra Transv. 9.5" × 12"

### SUPER_A_A4

public static final PaperSize SUPER_A_A4
Super A/A4 227mm × 356mm

### SUPER_B_A3

public static final PaperSize SUPER_B_A3
Super B/A3 305mm × 487mm

### LETTER_PLUS

public static final PaperSize LETTER_PLUS
Letter Plus 8.5" x 12 11/16"

### A4_PLUS

public static final PaperSize A4_PLUS
A4 Plus 210mm × 330mm

### A5_TRANSVERSE

public static final PaperSize A5_TRANSVERSE
A5 Transverse 148mm × 210mm

### B5_TRANSVERSE

public static final PaperSize B5_TRANSVERSE
B5 (JIS) Transverse 182mm × 257mm

### A3_EXTRA

public static final PaperSize A3_EXTRA
A3 Extra 322mm × 445mm

### A5_EXTRA

public static final PaperSize A5_EXTRA
A5 Extra 174mm × 235mm

### B5_EXTRA

public static final PaperSize B5_EXTRA
B5 (ISO) Extra 201mm × 276mm

### A2

public static final PaperSize A2
A2 420mm × 594mm

### A3_TRANSVERSE

public static final PaperSize A3_TRANSVERSE
A3 Transverse 297mm × 420mm

### A3_EXTRA_TRANSVERSE

public static final PaperSize A3_EXTRA_TRANSVERSE
A3 Extra Transverse 322mm × 445mm

### DOUBLE_JAPANESE_POSTCARD

public static final PaperSize DOUBLE_JAPANESE_POSTCARD
Dbl. Japanese Postcard 200mm × 148mm

### A6

public static final PaperSize A6
A6 105mm × 148mm

### LETTER_ROTATED

public static final PaperSize LETTER_ROTATED
Letter Rotated 11" × 8.5"

### A3_ROTATED

public static final PaperSize A3_ROTATED
A3 Rotated 420mm × 297mm

### A4_ROTATED

public static final PaperSize A4_ROTATED
A4 Rotated 297mm × 210mm

### A5_ROTATED

public static final PaperSize A5_ROTATED
A5 Rotated 210mm × 148mm

### B4_ROTATED

public static final PaperSize B4_ROTATED
B4 (JIS) Rotated 364mm × 257mm

### B5_ROTATED

public static final PaperSize B5_ROTATED
B5 (JIS) Rotated 257mm × 182mm

### JAPANESE_POSTCARD_ROTATED

public static final PaperSize JAPANESE_POSTCARD_ROTATED
Japanese Postcard Rot. 148mm × 100mm

### DOUBLE_JAPANESE_POSTCARD_ROTATED

public static final PaperSize DOUBLE_JAPANESE_POSTCARD_ROTATED
Dbl. Jap. Postcard Rot. 148mm × 200mm

### A6_ROTATED

public static final PaperSize A6_ROTATED
A6 Rotated 148mm × 105mm

### B6

public static final PaperSize B6
B6 (JIS) 128mm × 182mm

### B6_ROTATED

public static final PaperSize B6_ROTATED
B6 (JIS) Rotated 182mm × 128mm

## Method Details

### getValue

public int getValue()
Accessor for the internal binary value association with this paper size

Returns:
  the internal value

### getPaperSize

public static PaperSize getPaperSize(int val)
Gets the paper size for a specific value

Parameters:
  `val` - the value
Returns:
  the paper size